You are not logged in.

#1 2007-08-14 02:13:50

khordes
Member
Registered: 2007-06-23
Posts: 22

Amarok cannot find libgpod.so.1 after upgrade

Hello all, first time poster, though I've been scanning the forums for a few months now. Been using Arch for about 4 months now with no issues, everything set up perfectly, etc. Recently tried plugging my ipod in, it is detected and mounted in KDE, shows up on my desktop and as a hard drive I can explore it in Konqueror. However, when I attempt to load amarok with the ipod mounted I get the following error:
----------------------------------------

KLibLoader could not load the plugin:
libamarok_ipod-mediadevice

Error message:
libgpod.so.1: cannot open shared object file: No such file or directory

Amarok starts just fine, though I can't interact with the ipod at all.  I suspect an upgrade issue, simply because it has worked just fine in the past, and I have not seen this error before tonight. I am unsure, however, when exactly it stopped working as I hadn't plugged my ipod in for a week or so and have been updating every day. 

Here is the output of my most recent upgrades, and you can see that libgpod is part of it:

[2007-08-12 21:58] installed mutagen (1.11-1)
[2007-08-12 21:58] upgraded libgpod (0.4.2-2 -> 0.5.2-2)
[2007-08-12 21:58] upgraded parted (1.8.6-1 -> 1.8.8-1)
[2007-08-12 21:58] Create vim related symlinks...
[2007-08-12 21:58] Updating vim help tags...done.
[2007-08-12 21:58] upgraded vim (7.1.12-1 -> 7.1.68-1)
[2007-08-12 21:58] upgraded whois (4.7.21-1 -> 4.7.22-1)
[2007-08-13 19:38] synchronizing package lists
[2007-08-13 19:38] starting full system upgrade
[2007-08-13 19:49] upgraded dzen2 (0.5.0-1 -> 0.8.0-1)
[2007-08-13 19:49] upgraded qt (3.3.8-4 -> 3.3.8-5)
[2007-08-13 19:49] upgraded kdelibs (3.5.7-2 -> 3.5.7-4)
[2007-08-13 19:49] upgraded kdegraphics (3.5.7-1 -> 3.5.7-2)
[2007-08-13 19:49] upgraded kdesdk (3.5.7-1 -> 3.5.7-2)
[2007-08-13 19:49] upgraded qtparted (0.4.5-9 -> 0.4.5-10)
[2007-08-13 20:41] synchronizing package lists
[2007-08-13 20:41] starting full system upgrade
[2007-08-13 20:47] synchronizing package lists
[2007-08-13 20:47] upgraded libgpod (0.5.2-2 -> 0.5.2-2)

at the bottom there I tried reinstalling libgpod to no avail.  I searched my computer for libgpod.so.1 and of course nothing comes up, I do have, however, these similar files:

/usr/lib/libgpod.a
/usr/lib/libgpod.so
/usr/lib/libgpod.so.2
/usr/lib/pkgconfig/libgpod-1.0.pc
/usr/lib/libgpod.so.2.0.0
/var/lib/pacman/extra/libgpod-0.5.2-2
/var/lib/pacman/extra/libgpod-0.5.2-2/depends
/var/lib/pacman/extra/libgpod-0.5.2-2/desc
/var/lib/pacman/local/libgpod-0.5.2-2
/var/lib/pacman/local/libgpod-0.5.2-2/files
/var/lib/pacman/local/libgpod-0.5.2-2/depends
/var/lib/pacman/local/libgpod-0.5.2-2/desc

I also tried simlinking libgpod.so.2 which eliminated the error, but I still could not interact with the ipod, amarok told me I had no ipod mounted, even though it did detect it in settings as an Apple Ipod, so clearly there are some differences between the .2 and the .1
I am wondering if anyone else has had this issue, or if anyone might know what has happened. Let me know if I need to provide any more information, this is as far as I've got right now. Thanks for your help!

Khordes

Offline

#2 2007-08-14 09:47:37

shining
Pacman Developer
Registered: 2006-05-10
Posts: 2,043

Re: Amarok cannot find libgpod.so.1 after upgrade

http://www.archlinux.org/pipermail/arch … 01423.html

You could report a bug for indicating amarok probably needs to be rebuilt as well.


pacman roulette : pacman -S $(pacman -Slq | LANG=C sort -R | head -n $((RANDOM % 10)))

Offline

#3 2007-08-14 12:19:48

milan
Member
From: Belgrade, Serbia
Registered: 2007-03-20
Posts: 36

Re: Amarok cannot find libgpod.so.1 after upgrade

Making soft link inside /usr/lib/ to libgpod.so.2.0.0 makes Amarok crash. So definitely Amarok needs to be rebuilt. However I noticed new version of Amarok  announced few days ago, so I guess the new version will be in repo anytime soon.

Cheers!

Last edited by milan (2007-08-14 12:28:09)

Offline

#4 2007-08-14 12:47:06

khordes
Member
Registered: 2007-06-23
Posts: 22

Re: Amarok cannot find libgpod.so.1 after upgrade

Just tried soft linking. I don't receive the error anymore, Amarok appears to let me view the ipod, however, Amarok freezes if I try to interact with the ipod at all, for example, trying to display the playlist will freeze amarok.  I also tried soft linking with libgpod.so with the same result. I have filed a bug report which is FS #7814 if you're interested.  Thanks for the help though.

Offline

#5 2007-08-14 13:03:06

milan
Member
From: Belgrade, Serbia
Registered: 2007-03-20
Posts: 36

Re: Amarok cannot find libgpod.so.1 after upgrade

khordes wrote:

Just tried soft linking. I don't receive the error anymore, Amarok appears to let me view the ipod, however, Amarok freezes if I try to interact with the ipod at all, for example, trying to display the playlist will freeze amarok.  I also tried soft linking with libgpod.so with the same result. I have filed a bug report which is FS #7814 if you're interested.  Thanks for the help though.

I have just read at arch mailing list that new version of Amarok will be uploaded in the repo on Wednesday/Thursday. Hopefully there won't be issues with libgpod.

Cheers!

Offline

Board footer

Powered by FluxBB